import type { AugustPlatform } from '../platform.js';
import type { device, devicesConfig, AugustPlatformConfig } from '../settings.js';
import type { API, HAP, Logging, PlatformAccessory } from 'homebridge';
export declare abstract class deviceBase {
    protected readonly platform: AugustPlatform;
    protected accessory: PlatformAccessory;
    protected device: device & devicesConfig;
    readonly api: API;
    readonly log: Logging;
    readonly config: AugustPlatformConfig;
    protected readonly hap: HAP;
    protected deviceLogging: string;
    protected deviceRefreshRate: number;
    protected deviceUpdateRate: number;
    protected devicePushRate: number;
    constructor(platform: AugustPlatform, accessory: PlatformAccessory, device: device & devicesConfig);
    getDeviceLogSettings(accessory: PlatformAccessory, device: device & devicesConfig): Promise<void>;
    getDeviceRateSettings(accessory: PlatformAccessory, device: device & devicesConfig): Promise<void>;
    getDeviceConfigSettings(accessory: PlatformAccessory, device: device & devicesConfig): Promise<void>;
    getDeviceContext(accessory: PlatformAccessory, device: device & devicesConfig): Promise<void>;
    statusCode(accessory: PlatformAccessory, device: device & devicesConfig, error: {
        message: string;
    }): Promise<void>;
    /**
     * Logging for Device
     */
    infoLog(...log: any[]): void;
    successLog(...log: any[]): void;
    debugSuccessLog(...log: any[]): void;
    warnLog(...log: any[]): void;
    debugWarnLog(...log: any[]): void;
    errorLog(...log: any[]): void;
    debugErrorLog(...log: any[]): void;
    debugLog(...log: any[]): void;
    enablingDeviceLogging(): boolean;
}
//# sourceMappingURL=device.d.ts.map