import { deviceBase } from './device.js';
import type { AugustPlatform } from '../platform.js';
import type { device, lockDetails, devicesConfig } from '../settings.js';
import type { CharacteristicValue, PlatformAccessory } from 'homebridge';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class LockMechanism extends deviceBase {
    readonly platform: AugustPlatform;
    private LockMechanism?;
    private Battery;
    private ContactSensor?;
    retryCount?: any;
    state: any;
    locked: boolean;
    unlocked: boolean;
    open?: boolean;
    closed?: boolean;
    battery: any;
    doorState?: any;
    currentFirmwareVersion: any;
    lockUpdateInProgress: boolean;
    doLockUpdate: any;
    constructor(platform: AugustPlatform, accessory: PlatformAccessory, device: device & devicesConfig);
    /**
     * Parse the device status from the August api
     */
    parseStatus(lockDetails: lockDetails): Promise<void>;
    /**
     * Asks the August Home API for the latest device information
     */
    refreshStatus(): Promise<void>;
    /**
     * Pushes the requested changes to the August API
     */
    pushChanges(): Promise<void>;
    /**
     * Updates the status for each of the HomeKit Characteristics
     */
    updateHomeKitCharacteristics(): Promise<void>;
    setLockTargetState(value: CharacteristicValue): Promise<void>;
    subscribeAugust(): Promise<void>;
}
//# sourceMappingURL=lock.d.ts.map